Skip to navigation

Create permission profile

View as Markdown

This method creates a new permission profile for an account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

includestringOptional

A comma-separated list of additional properties to return in the response. The only valid value for this request is metadata, which returns metadata indicating whether the properties associated with the account permission profile are editable.

Request

This endpoint expects an object: permissionProfile

modifiedByUsernamestringOptional
The username of the user who last modified the permission profile.
modifiedDateTimestringOptional
The date and time when the permission profile was last modified.
permissionProfileIdstringOptional

The ID of the permission profile.

Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs.

You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page.

permissionProfileNamestringOptional

The name of the account permission profile.

Example: Account Administrator

settingsobjectOptional
This object defines account permissions for users who are associated with the account permission profile.
userCountstringOptional
The total number of users in the group associated with the account permission profile.
userslist of objectsOptional
A list of user objects containing information about the users who are associated with the account permission profile.

Response

Successful response.
modifiedByUsernamestringOptional
The username of the user who last modified the permission profile.
modifiedDateTimestringOptional
The date and time when the permission profile was last modified.
permissionProfileIdstringOptional

The ID of the permission profile.

Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs.

You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page.

permissionProfileNamestringOptional

The name of the account permission profile.

Example: Account Administrator

settingsobjectOptional
This object defines account permissions for users who are associated with the account permission profile.
userCountstringOptional
The total number of users in the group associated with the account permission profile.
userslist of objectsOptional
A list of user objects containing information about the users who are associated with the account permission profile.

Errors

400
Bad Request Error